This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1247201 - [abrt] plasma-workspace: QReadLocker::relock()(): plasmashell killed by SIGSEGV
[abrt] plasma-workspace: QReadLocker::relock()(): plasmashell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: plasma-workspace (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:b00c864144da37ae21b05eec9a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 10:37 EDT by Marcus Harrison
Modified: 2016-07-19 13:12 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:12:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (49.13 KB, text/plain)
2015-07-27 10:37 EDT, Marcus Harrison
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-27 10:37 EDT, Marcus Harrison
no flags Details
File: core_backtrace (83.25 KB, text/plain)
2015-07-27 10:37 EDT, Marcus Harrison
no flags Details
File: dso_list (25.18 KB, text/plain)
2015-07-27 10:37 EDT, Marcus Harrison
no flags Details
File: environ (1.64 KB, text/plain)
2015-07-27 10:37 EDT, Marcus Harrison
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-27 10:37 EDT, Marcus Harrison
no flags Details
File: maps (123.86 KB, text/plain)
2015-07-27 10:37 EDT, Marcus Harrison
no flags Details
File: mountinfo (3.31 KB, text/plain)
2015-07-27 10:37 EDT, Marcus Harrison
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-27 10:37 EDT, Marcus Harrison
no flags Details
File: open_fds (5.39 KB, text/plain)
2015-07-27 10:37 EDT, Marcus Harrison
no flags Details
File: proc_pid_status (962 bytes, text/plain)
2015-07-27 10:38 EDT, Marcus Harrison
no flags Details
File: var_log_messages (315 bytes, text/plain)
2015-07-27 10:38 EDT, Marcus Harrison
no flags Details

  None (edit)
Description Marcus Harrison 2015-07-27 10:37:42 EDT
Description of problem:
Crash when auto-logging-in to plasmashell.

plasmashell had rendered the wallpaper, the desktop menu button and a thin slither of the bottom panel, in the bottom right side, as well as the Application Launcher button. However, the rest of the panel was transparent and failed to load before plasmashell crashed.

Version-Release number of selected component:
plasma-workspace-5.3.2-2.fc22

Additional info:
reporter:       libreport-2.6.1
backtrace_rating: 4
cmdline:        /bin/plasmashell --shut-up
crash_function: QReadLocker::relock()
executable:     /usr/bin/plasmashell
global_pid:     1898
kernel:         4.0.8-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QReadLocker::relock() at ../../src/corelib/thread/qreadwritelock.h:98
 #1 QMetaType::typeInfo(int) at ../../src/corelib/thread/qreadwritelock.h:117
 #6 QMetaType::QMetaType(int) at kernel/qmetatype.cpp:2235
 #7 (anonymous namespace)::customConstruct(QVariant::Private*, void const*) at kernel/qvariant.cpp:854
 #8 QVariant::QVariant(QVariant const&) at kernel/qvariant.cpp:1217
 #9 QObject::property(char const*) const at ../../src/corelib/tools/qlist.h:682
 #10 PanelView::containmentContainsPosition(QPointF const&) const at ../../shell/panelview.cpp:783
 #11 PanelView::event(QEvent*) at ../../shell/panelview.cpp:703
 #12 QApplicationPrivate::notify_helper(QObject*, QEvent*) at kernel/qapplication.cpp:3720
 #13 QApplication::notify(QObject*, QEvent*) at kernel/qapplication.cpp:3503
Comment 1 Marcus Harrison 2015-07-27 10:37:46 EDT
Created attachment 1056606 [details]
File: backtrace
Comment 2 Marcus Harrison 2015-07-27 10:37:48 EDT
Created attachment 1056607 [details]
File: cgroup
Comment 3 Marcus Harrison 2015-07-27 10:37:50 EDT
Created attachment 1056608 [details]
File: core_backtrace
Comment 4 Marcus Harrison 2015-07-27 10:37:51 EDT
Created attachment 1056609 [details]
File: dso_list
Comment 5 Marcus Harrison 2015-07-27 10:37:52 EDT
Created attachment 1056610 [details]
File: environ
Comment 6 Marcus Harrison 2015-07-27 10:37:54 EDT
Created attachment 1056611 [details]
File: limits
Comment 7 Marcus Harrison 2015-07-27 10:37:56 EDT
Created attachment 1056612 [details]
File: maps
Comment 8 Marcus Harrison 2015-07-27 10:37:57 EDT
Created attachment 1056613 [details]
File: mountinfo
Comment 9 Marcus Harrison 2015-07-27 10:37:58 EDT
Created attachment 1056614 [details]
File: namespaces
Comment 10 Marcus Harrison 2015-07-27 10:37:59 EDT
Created attachment 1056615 [details]
File: open_fds
Comment 11 Marcus Harrison 2015-07-27 10:38:01 EDT
Created attachment 1056616 [details]
File: proc_pid_status
Comment 12 Marcus Harrison 2015-07-27 10:38:02 EDT
Created attachment 1056617 [details]
File: var_log_messages
Comment 13 Fedora End Of Life 2016-07-19 13:12:28 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.